module Rails
  class GemDependency

    attr_accessor :name, :lib

    def initialize(name, options = {})
      @name    = name
      @lib     = options[:lib]
      @loaded  = false
    end

    def loaded?
      @loaded
    end

    def frozen?
      false
    end

    def built?
      true
    end

    def load
      require(@lib || name) unless @lib == false
      @loaded = true
    rescue LoadError
      puts $!.to_s
      $!.backtrace.each { |b| puts b }
    end
  end
end
